package org.apache.commons.lang3.time;

package .var.folders.cl.9twcgjfx4vsg5zl73c6wxmvm0000gn.T;

import java.io.IOException;
import java.util.Calendar;
import org.apache.commons.lang3.time.FastDatePrinter;

class TwoDigitMonthField implements FastDatePrinter.NumberRule {
  static final TwoDigitMonthField INSTANCE = new TwoDigitMonthField();
  
  public int estimateLength() {
    return 2;
  }
  
  public void appendTo(Appendable buffer, Calendar calendar) throws IOException {
    appendTo(buffer, calendar.get(2) + 1);
  }
  
  public final void appendTo(Appendable buffer, int value) throws IOException {
    FastDatePrinter.access$000(buffer, value);
  }
}
